#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xzf usbutils-0.11.tar.gz
    cd usbutils-0.11
    cp /usr/share/automake-*/config.sub .
    ./configure --prefix=''
    make usbmodules
    strip -R .note -R .comment usbmodules
    mkdir -p ../usbmodules/sbin
    cp usbmodules ../usbmodules/sbin/
    cd ..
    rm -rf usbutils-0.11
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
